petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscViewerBinaryGetSkipOptions

checks if viewer uses the PETSc options database when loading objects

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryGetSkipOptions(PetscViewer viewer,PetscBool *skip)

Not Collective

### Input Parameter

| viewer | - PetscViewer context, obtained from PetscViewerBinaryOpen()

### Output Parameter

| skip | - PETSC_TRUE means do not use

### Notes

This must be called after PetscViewerSetType()

### See Also

PetscViewerBinaryOpen(), PetscViewerBinaryGetDescriptor(), PetscViewerBinarySkipInfo(),
PetscViewerBinarySetSkipOptions()

### Level

advanced

### Location

src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages